View Issue Details

IDProjectCategoryView StatusLast Update
0000361fileGeneralpublic2022-07-04 17:15
Reporterwof Assigned Tochristos  
PrioritylowSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Fixed in VersionHEAD 
Summary0000361: add save file detection of burp
DescriptionBurpSuite is a HTTP man-in-the-middle-proxy used for penetration tests. At the moment save files are not detected.
I've attached my first patch to file.
Steps To Reproduce% file 2022-06-23-test.burp
2022-06-23-test.burp: data
TagsNo tags attached.

Activities

wof

2022-06-22 22:12

reporter  

burp.magic.patch (858 bytes)   
diff --git a/magic/Magdir/burp b/magic/Magdir/burp
new file mode 100644
index 0000000..d9a1a2b
--- /dev/null
+++ b/magic/Magdir/burp
@@ -0,0 +1,6 @@
+#------------------------------------------------------------
+# $File: burp 2022/06/18 17:58:50 wof Exp $
+# Burp file, I don't know the version
+#------------------------------------------------------------
+# From wof (wof@stachelkaktus.net)
+0       bequad       0x6685828000000001       Burp project save file
diff --git a/magic/Makefile.am b/magic/Makefile.am
index ab8c432..6f8eb74 100644
--- a/magic/Makefile.am
+++ b/magic/Makefile.am
@@ -52,6 +52,7 @@ $(MAGIC_FRAGMENT_DIR)/bout \
 $(MAGIC_FRAGMENT_DIR)/bsdi \
 $(MAGIC_FRAGMENT_DIR)/bsi \
 $(MAGIC_FRAGMENT_DIR)/btsnoop \
+$(MAGIC_FRAGMENT_DIR)/burp \
 $(MAGIC_FRAGMENT_DIR)/bytecode \
 $(MAGIC_FRAGMENT_DIR)/c-lang \
 $(MAGIC_FRAGMENT_DIR)/c64 \
burp.magic.patch (858 bytes)   
2022-06-23-test.burp (524,288 bytes)

christos

2022-07-04 17:15

manager   ~0003778

committed, thanks

Issue History

Date Modified Username Field Change
2022-06-22 22:12 wof New Issue
2022-06-22 22:12 wof File Added: burp.magic.patch
2022-06-22 22:12 wof File Added: 2022-06-23-test.burp
2022-07-04 17:15 christos Assigned To => christos
2022-07-04 17:15 christos Status new => assigned
2022-07-04 17:15 christos Status assigned => resolved
2022-07-04 17:15 christos Resolution open => fixed
2022-07-04 17:15 christos Fixed in Version => HEAD
2022-07-04 17:15 christos Note Added: 0003778